
<!-- Warning: This file has been autogenerated by tools/makedoc.py. Manual edits will be overwritten. -->
<html>
    <head>
        <title>freesmartphone.org PIM.Message Interface</title>
        <link rel="stylesheet" type="text/css" href="http://git.freesmartphone.org/?p=specs.git;a=blob_plain;f=html/style.css;hb=HEAD" />
    </head>
    <body>
    <div class="topbox">freesmartphone.org Framework DBus Interface Specification</div>


<h1>org.freesmartphone.PIM.Message</h1><h2>Description</h2>
<p>This interface provides access to one message.</p>
<h2>Namespace</h2>
<p><tt>org.freesmartphone.PIM.Message</tt></p>
<h2>Methods</h2><ul>
<li><a href="#GetContent">GetContent</a></li>
<li><a href="#GetMultipleFields">GetMultipleFields</a></li>
<li><a href="#MoveToFolder">MoveToFolder</a></li>
<li><a href="#Update">Update</a></li>
<li><a href="#Delete">Delete</a></li>
</ul>
<h2>Signals</h2><ul>
<li><a href="#MessageDeleted">MessageDeleted</a></li>
<li><a href="#MessageUpdated">MessageUpdated</a></li>
</ul>
<h2>Properties</h2><i>None</i>
<h2>Errors</h2><i>None</i>
<h1>Methods</h1><h3><a name="GetContent">GetContent</a> ( ) &rarr; a{sv}</h3>
<p><i>Description:</i> Get the content of one message. </p><h4>Returns</h4><i>a{sv}: content</i><p>The content of the message. </p>
<h3><a name="GetMultipleFields">GetMultipleFields</a> ( s ) &rarr; a{sv}</h3>
<p><i>Description:</i> Get the content for a list of fields from the message. </p><h4>Parameters</h4><i>s: field_list</i><p>The list of fields to get the content for. </p><h4>Returns</h4><i>a{sv}: field_data</i><p>The data of the requested fields. </p>
<h3><a name="MoveToFolder">MoveToFolder</a> ( s )</h3>
<p><i>Description:</i> Move this message to a different folder. </p><h4>Parameters</h4><i>s: folder_name</i><p>The name of the folder to move the message to. </p>
<h3><a name="Update">Update</a> ( a{sv} )</h3>
<p><i>Description:</i> Update one or more fields of this message. </p><h4>Parameters</h4><i>a{sv}: message_data</i><p>The list of fields/values to update for this message. </p>
<h3><a name="Delete">Delete</a> ( )</h3><p><i>Description:</i> Delete this message. </p>
<h1>Signals</h1><h3><a name="MessageDeleted">MessageDeleted</a> ( )</h3>
<h3><h3><a name="MessageUpdated">MessageUpdated</a> ( a{sv} )</h3><p><i>Description:</i> Sent when message is updated. </p><h4>Parameters</h4><i>a{sv}: data</i><p>Data used to update message. </p></h3>

    <hr/>
    <small>
    | Specified 2008-2012 by the <a href="http://www.freesmartphone.org">Freesmartphone.org</a> team. | Join us and discuss further drafts smartphones-standards (at) linuxtogo (dot) org
    </small>
    <hr/>
    </body>
</html>

